Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Interface UnifiedLoaderRepositoryMBean

All Known Subinterfaces:
  UnifiedLoaderRepository3MBean

All Known Implementing Classes:
  UnifiedLoaderRepository3

public interface UnifiedLoaderRepositoryMBean

UnifiedLoaderRepositoryMBean.java Created: Sun Apr 14 13:04:04 2002

Version:
Author:
  David Jencks

Method Summary
`LoaderRepository` | `getInstance()`
`org.jboss.util.loading.Translator` | `getTranslator()`
`URL[]` | `getURLs()`
`RepositoryClassLoader` | `getWrappingClassLoader(ClassLoader cl)`
`RepositoryClassLoader` | `newClassLoader(URL url, boolean addToRepository)`
`RepositoryClassLoader` | `newClassLoader(URL url, URL origURL, boolean addToRepository)`
`LoaderRepository` | `registerClassLoader(RepositoryClassLoader ucl)`
`void` | `removeClassLoader(ClassLoader cl)`
`void` | `setTranslator(org.jboss.util.loading.Translator t)`

Method Detail

### newClassLoader

    public RepositoryClassLoader newClassLoader(URL url,
                                                boolean addToRepository)
                                         throws Exception

  Throws:
    `Exception`

### newClassLoader

    public RepositoryClassLoader newClassLoader(URL url,
                                                URL origURL,
                                                boolean addToRepository)
                                         throws Exception

  Throws:
    `Exception`

### removeClassLoader

    public void removeClassLoader(ClassLoader cl)

### registerClassLoader

    public LoaderRepository registerClassLoader(RepositoryClassLoader ucl)

### getWrappingClassLoader

    public RepositoryClassLoader getWrappingClassLoader(ClassLoader cl)

### getInstance

    public LoaderRepository getInstance()

### getURLs

    public URL[] getURLs()

### getTranslator

    public org.jboss.util.loading.Translator getTranslator()

### setTranslator

    public void setTranslator(org.jboss.util.loading.Translator t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.